#ifndef __BSP_LCD_ILI9225_H
#define __BSP_LCD_ILI9225_H

#include "stm32f1xx_hal.h"

#define RED     0xF800
#define GREEN   0x07E0
#define BLUE    0x001F
#define WHITE   0xFFFF
#define BLACK   0x0000
#define YELLOW  0xFFE0
#define PURPLE  0xF81F
#define CYAN    0x07FF

#define BSP_LCD_X_PIXELS 176
#define BSP_LCD_Y_PIXELS 220

void bsp_lcd_init(void);
void bsp_lcd_fill(uint8_t x0, uint8_t y0, uint8_t x1, uint8_t y1, uint16_t color);
void bsp_lcd_draw_bitmap(uint8_t x0, uint8_t y0, uint8_t x1, uint8_t y1, const uint16_t *color);

#endif
